Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Activation_Queue Class Reference

Reifies a method into a request. Subclasses typically represent necessary state and behavior. More...

`#include <Activation_Queue.h>`

Collaboration diagram for ACE_Activation_Queue:

[legend]
List of all members.

## Public Methods
| ACE_Activation_Queue (ACE_Message_Queue<ACE_SYNCH> *new_queue = 0, ACE_Allocator *alloc = 0, ACE_Allocator *db_alloc = 0)
| Constructor.
virtual | ~ACE_Activation_Queue (void)
| Destructor.
ACE_Method_Request* | dequeue (ACE_Time_Value *tv = 0)
| Dequeue the next available <Method_Request>.
int | enqueue (ACE_Method_Request *new_method_request, ACE_Time_Value *tv = 0)
| Enqueue the <Method_Request> in priority order. The priority is determined by the <priority> method of the <new_message_request>.
int | method_count (void) const
| Get the current number of method objects in the queue.
int | is_empty (void) const
| Returns 1 if the queue is empty, 0 otherwise.
int | is_full (void) const
| Returns 1 if the queue is full, 0 otherwise.
void | dump (void) const
| Dump the state of an request.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Attributes
ACE_Message_Queue<ACE_SYNCH>* | queue_
| Stores the <Method_Requests>.
int | delete_queue_
| Keeps track of whether we need to delete the queue.
## Private Methods
void | operator= (const ACE_Activation_Queue &)
| ACE_Activation_Queue (const ACE_Activation_Queue &)
## Private Attributes
ACE_Allocator* | allocator_
| Allocation strategy of the queue.
ACE_Allocator* | data_block_allocator_
| Allocation strategy of the message blocks.

## Detailed Description

Reifies a method into a request. Subclasses typically represent necessary state and behavior.

A <Method_Request> is inserted in the , where it is subsequently removed by the <Scheduler>, which invokes its <call> method..

## Constructor & Destructor Documentation

ACE_Activation_Queue::ACE_Activation_Queue ( | ACE_Message_Queue< ACE_SYNCH >* new_queue = 0,
| ACE_Allocator * alloc = 0,
| ACE_Allocator * db_alloc = 0 )

| Constructor.

ACE_Activation_Queue::~ACE_Activation_Queue ( | void )`[virtual]`

| Destructor.

ACE_Activation_Queue::ACE_Activation_Queue ( | const ACE_Activation_Queue & )`[private]`

## Member Function Documentation

ACE_Method_Request * ACE_Activation_Queue::dequeue ( | ACE_Time_Value * tv = 0 )

| Dequeue the next available <Method_Request>.

void ACE_Activation_Queue::dump ( | void ) const`[inline]`

| Dump the state of an request.

int ACE_Activation_Queue::enqueue ( | ACE_Method_Request * new_method_request,
| ACE_Time_Value * tv = 0 )

| Enqueue the <Method_Request> in priority order. The priority is determined by the <priority> method of the <new_message_request>.

ACE_INLINE int ACE_Activation_Queue::is_empty ( | void ) const

| Returns 1 if the queue is empty, 0 otherwise.

ACE_INLINE int ACE_Activation_Queue::is_full ( | void ) const

| Returns 1 if the queue is full, 0 otherwise.

ACE_INLINE int ACE_Activation_Queue::method_count ( | void ) const

| Get the current number of method objects in the queue.

void ACE_Activation_Queue::operator= ( | const ACE_Activation_Queue & )`[private]`

## Member Data Documentation

ACE_Activation_Queue::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

ACE_Allocator * ACE_Activation_Queue::allocator_`[private]`

| Allocation strategy of the queue.

ACE_Allocator * ACE_Activation_Queue::data_block_allocator_`[private]`

| Allocation strategy of the message blocks.

int ACE_Activation_Queue::delete_queue_`[protected]`

| Keeps track of whether we need to delete the queue.

ACE_Message_Queue< ACE_SYNCH >* ACE_Activation_Queue::queue_`[protected]`

| Stores the <Method_Requests>.

The documentation for this class was generated from the following files:

- Activation_Queue.h
- Activation_Queue.cpp
- Activation_Queue.i